@import './common.css';

:root {
  --main-gradient-from: rgba(183, 38, 47, 1);
  --main-gradient-via: rgba(91, 11, 14, 1);
  --main-gradient-to: rgba(58, 19, 40, 1);
  --main-gradient: linear-gradient(
    180deg,
    var(--main-gradient-from) 16%,
    var(--main-gradient-via) 63%,
    var(--main-gradient-to)
  );

  --primary-400: rgb(202 50 50);
  --primary-500: rgb(221 64 64);
  --primary-600: rgb(46 31 31);

  --primary: var(--main-gradient);
  --primary-hover: linear-gradient(
    180deg,
    rgba(189, 46, 46, 1) 16%,
    rgba(133, 20, 25, 1) 63%,
    rgba(77, 25, 53, 1)
  );
  --primary-border: linear-gradient(
      16deg,
      rgba(var(--hex-border), 0.1) 0%,
      rgba(var(--hex-border), 0.05) 12%,
      rgba(var(--hex-border), 0) 24%,
      rgba(var(--hex-border), 0) 78%,
      rgba(var(--hex-border), 0.05) 89%,
      rgba(var(--hex-border), 0.1) 100%
    )
    border-box;

  --secondary: linear-gradient(
    180deg,
    rgba(74, 75, 79, 0.6) 0%,
    rgba(17, 17, 17, 0.1) 20%,
    rgba(74, 75, 79, 0.6) 100%
  );
  --secondary-hover:
    linear-gradient(
      180deg,
      rgba(74, 75, 79, 0.6) 0%,
      rgba(17, 17, 17, 0.1) 20%,
      rgba(74, 75, 79, 0.6) 100%
    ),
    linear-gradient(0deg, rgba(255, 255, 255, 0.05), rgba(255, 255, 255, 0.05));
  --secondary-border: rgba(var(--hex-border), 0.05) border-box;

  --register:
    radial-gradient(
      54.72% 45.15% at 50% -6.11%,
      #f24e5f 0%,
      rgba(223, 35, 35, 0) 100%
    ),
    radial-gradient(
      175.52% 200.37% at 91.18% -99.21%,
      rgba(45, 4, 4, 0.5) 0%,
      rgba(255, 0, 0, 0) 87.03%
    ),
    radial-gradient(
      164.67% 80.57% at 0% -22.96%,
      #7d1825 8.19%,
      rgba(161, 3, 3, 0) 61.46%
    ),
    radial-gradient(
      83.59% 100.75% at 88.85% 100%,
      rgba(12, 43, 87, 0.5) 0%,
      rgba(44, 110, 208, 0) 100%
    ),
    linear-gradient(#490408);
  --register-hover:
    radial-gradient(
      54.72% 45.15% at 50% -6.11%,
      #f36271 0%,
      rgba(226, 55, 55, 0) 100%
    ),
    radial-gradient(
      175.52% 200.37% at 91.18% -99.21%,
      rgba(61, 5, 5, 0.5) 0%,
      rgba(255, 20, 20, 0) 87.03%
    ),
    radial-gradient(
      164.67% 80.57% at 0% -22.96%,
      #a31f30 8.19%,
      rgba(181, 3, 3, 0) 61.46%
    ),
    radial-gradient(
      83.59% 100.75% at 88.85% 100%,
      rgba(14, 51, 104, 0.5) 0%,
      rgba(66, 125, 215, 0) 100%
    ),
    linear-gradient(#6a060c);
  --register-border: rgba(255, 255, 255, 0.24);

  --login: linear-gradient(229deg, #141438 -21.36%, #164098 103.96%);
  --login-hover: linear-gradient(229deg, #1b1b4b -21.36%, #194bb3 103.96%);
  --login-border-gradient-stops:
    rgba(255, 255, 255, 0.6) 0%, rgba(10, 10, 10, 0) 30%;
  --login-border:
    linear-gradient(-138deg, var(--login-border-gradient-stops)) border-box,
    linear-gradient(54deg, var(--login-border-gradient-stops)) border-box;

  --hex-border: 255, 255, 255;
  --hex-natural-white: 255, 255, 255;
  --hex-natural-black: 0, 0, 0;
  --hex-danger: 223, 32, 32;
  --hex-success: 29, 175, 38;
  --hex-warning: 255, 168, 0;
  --hex-market-open: 218, 255, 37;
  --hex-market-close: 245, 93, 59;

  --color-natural-black: rgb(var(--hex-natural-black));
  --color-natural-white: rgb(var(--hex-natural-white));

  --color-danger: rgb(var(--hex-danger));
  --color-success: rgb(var(--hex-success));
  --color-warning: rgb(var(--hex-warning));
  --color-market-open: rgb(var(--hex-market-open));
  --color-market-close: rgb(var(--hex-market-close));

  --warning-light: rgba(238, 184, 80, 1);

  --footer-seo-text: rgba(var(--hex-natural-white), 0.5);

  --background-base: rgba(18, 19, 23, 1);
  --background-400: rgb(16 18 25);
  --background-500: rgb(22 24 29);
  --background-600: rgb(26 27 35);

  --foreground: rgb(var(--hex-natural-white));
  --muted-foreground: rgba(var(--hex-natural-white), 0.5);

  --border: rgba(var(--hex-border), 0.1);
  --input: rgba(0, 0, 0, 0.4);
  --popover: var(--input);
  --popover-border: transparent;

  --accent: var(--primary);
  --accent-foreground: var(--foreground);

  --container: var(--background2);
  --container-border: var(--border);
  --container-payment: var(--background-600);

  --shadow-menu-navbar: #ffe0a8;

  --hex-footer-gradient-container-light: rgba(36, 44, 66, 1);
  --hex-footer-gradient-container-dark: rgba(14, 18, 26, 1);

  --switch-border: rgba(var(--hex-border), 0.05);
  --switch-unchecked-bg: rgba(var(--hex-natural-white), 0.1);

  --badge-fail-bg: rgba(var(--hex-danger), 0.2);
  --badge-fail-text: var(--color-danger);
  --badge-warning-bg: rgba(var(--hex-warning), 0.2);
  --badge-warning-text: var(--color-warning);
  --badge-success-bg: rgba(var(--hex-success), 0.2);

  --badge-success-text: var(--color-success);
  --badge-canceled-bg: rgba(var(--hex-natural-white), 0.1);
  --badge-canceled-text: var(--color-natural-white);
  --badge-market-open-bg: var(--color-market-open);
  --badge-market-open-text: var(--color-natural-black);
  --badge-market-close-bg: var(--color-market-close);
  --badge-market-close-text: var(--color-natural-black);
  --badge-rtp-bg: rgba(var(--hex-natural-white), 0.1);
  --badge-rtp-text: var(--color-natural-white);

  --accordion-container-bg: var(--background-500);
  --accordion-trigger-bg: rgba(var(--hex-natural-white), 0.05);
  --accordion-trigger-text: var(--color-natural-white);
  --accordion-content-text: rgba(var(--hex-natural-white), 0.5);

  --footer-gradient-mid-color: rgba(5, 29, 47, 0.2);
  --footer-seo-open-close: rgb(var(--hex-natural-white));
  --footer-gradient: linear-gradient(180deg, #253556 0%, #080A17 100%);

  --calendar-bg: var(--background-500);
  --calendar-range: var(--primary-600);
  --calendar-text: var(--color-natural-white);
  --calendar-week: var(--primary-500);
  --calendar-outside: rgba(var(--hex-natural-white), 0.5);

  --textarea: rgba(var(--hex-natural-black), 0.4);
  --textarea-border: rgba(var(--hex-border), 0.1);

  --select: var(--background-600);
  --select-border: rgba(var(--hex-border), 0.05);

  --progress-bar: rgba(var(--hex-natural-black), 0.3);
  --progress-bar-border: rgba(var(--hex-border), 0.1);
  --progress-ongoing: rgba(var(--hex-warning), 0.2);
  --progress-ongoing-text: rgb(var(--hex-warning));
  --progress-done: rgba(var(--hex-success), 0.2);
  --progress-done-text: rgb(var(--hex-success));

  --select: var(--background-600);
  --radio-checkbox-group-filter: var(--background-600);

  --popover-quick-depo: var(--background-600);
  --popover-default-border: rgba(var(--hex-border), 0.05);
  --popover-apk-link-alternatif:
    radial-gradient(
      69.79% 113.82% at 92.84% 86.18%,
      #7c5f3d 0%,
      rgba(0, 0, 0, 0) 100%
    ),
    linear-gradient(
      93deg,
      #c4a16c -4.35%,
      #302d29 17.62%,
      #0e0e0e 35.28%,
      #0b0b0a 68.96%,
      #968c74 100%
    );
  --popover-apk-link-alternatif-border: linear-gradient(
    to right,
    rgba(233, 211, 153, 1) 0%,
    rgba(101, 101, 101, 1) 40%,
    rgba(55, 55, 55, 1) 66%,
    rgba(164, 142, 120, 1) 100%
  );
  --popover-apk-link-alternatif-shadow: 0px 4px 8px 0px rgba(0, 0, 0, 0.65);
  --popover-header: linear-gradient(51.85deg, #0F1B21 -6.67%, #121B28 48.53%, #0D1519 94.75%);

  --category-games-menu-bg-active:
    linear-gradient(179.61deg, rgba(239, 99, 101, 0) 0.34%, rgba(88, 90, 239, 0.18) 64.44%, #5053FF 91.18%, #251897 100.47%),
    linear-gradient(105.55deg, #B82B2B 0.5%, rgba(46, 40, 51, 0.8) 41.68%, rgba(40, 48, 51, 0.04) 66.99%, #9F5782 100.19%);
  --category-games-menu-border-bottom: linear-gradient(
    to bottom,
    var(--main-gradient-from),
    var(--main-gradient-via),
    var(--main-gradient-to)
  );

  --card-togel-hot-bg: linear-gradient(90deg, #632735 0%, #090D3E 100%);
  --card-togel-hot-border: linear-gradient(119.48deg, #F17A80 24.89%, #1B1F9F 68.06%);
  --card-togel-default-bg: radial-gradient(
    100.82% 263.5% at -1.89% -6.56%,
    #FF6F60 0%,
    #FF6F60 11.46%,
    #C62F2C 16.15%,
    rgb(var(--hex-natural-black)) 66%,
    #8D1E24 98.96%);
  --card-togel-default-border: linear-gradient(126deg, #8D4161 28.96%, #4A4E72 53.44%, #171628 79.02%, #B55678 99.12%);
  --card-togel-default-border-hover: linear-gradient(
    80deg,
    var(--main-gradient-from) 16%,
    var(--main-gradient-via) 63%,
    var(--main-gradient-to)
  );
  --card-togel-real-market-text: rgba(249, 211, 110, 1);
  --togel-number-default-bg: linear-gradient(
    rgba(94, 80, 54, 0.27) 0%,
    rgba(111, 87, 44, 0.8) 70%,
    #917d35 100%
  );
  --togel-number-featured-bg: var(--main-gradient);
  --card-togel-star: rgb(var(--hex-warning));

  --riwayat-togel-card-bg: var(--background-500);
  --riwayat-togel-card-border: rgba(var(--hex-natural-white), 0.05);

  --pin-bg: var(--background-600);
  --pin-bg-active: var(--secondary);
  --pin-border-active: rgba(var(--hex-natural-white), 0.05);
  --pin-hover: rgba(var(--hex-pin-hover), 0.1);

  --ticket-tg-darker-gradient: rgb(38, 42, 49);
  --ticket-tg-lighter-gradient: rgb(83, 91, 101);
  --ticket-tg: radial-gradient(
    151.51% 252.96% at 38.93% -40.76%,
    var(--ticket-tg-lighter-gradient) 0%,
    var(--ticket-tg-darker-gradient) 94.46%
  );
  --ticket-wallet: var(--background-600);
  --ticket-devider: rgba(var(--hex-natural-white), 0.1);
  --ticket-wallet-border: rgba(var(--hex-natural-white), 0.05);

  --marquee-from: #375477;
  --marquee-to: rgba(22, 22, 61, 0);
  --marquee-stroke-from: #3d5a7e;
  --marquee-stroke-to: rgba(109, 123, 171, 0);
  --marquee-text: rgba(178, 193, 246, 1);

  --unread-notification: rgb(244, 63, 3);

  --bet-card-base-default: var(--background-500);
  --bet-card-base-lighter: var(--background-600);
  --bet-card-base-border: rgba(var(--hex-natural-white), 0.05);

  --timer-segment: rgba(var(--hex-natural-white), 0.1);

  --prize-info-modal-bg: var(--background-500);

  --container-mobile-navbar: linear-gradient(
    to bottom,
    rgba(37, 53, 86, 1),
    rgba(8, 10, 23, 1)
  );

  --modal-filter: var(--background-500);

  --promo-card: var(--background-600);

  --dialog-content: var(--background-500);

  --shio-icon: var(--primary-500);

  --register-login-heading: var(--primary-500);
  --register-login-bg: var(--background-500);
  --register-payment-information-bg: var(--background-600);
  --register-payment-category-bg: rgba(var(--hex-natural-black), 0.4);

  --banner-info-link-border: linear-gradient(
    90deg,
    #55688e -5.75%,
    rgba(109, 130, 171, 0) 40.49%
  );
  --banner-info-link: radial-gradient(
    97.36% 10926.6% at 0% 78.12%,
    #292d35 0%,
    #0c0c0e 100%
  );

  --header: var(--background-500);

  --quick-depo-border: var(--primary-500);

  --profile: linear-gradient(180deg, #c8d3e8 63.18%, #8592a9 91.81%);
  --profile-icon: rgba(35, 35, 35, 1);

  --wallet-page-bg: radial-gradient(
    113.09% 119.76% at 38.93% -19.23%,
    rgba(75, 81, 88, 0.5) 0%,
    rgba(41, 44, 49, 0.4) 100%
  );

  --deposit-withdraw-ticket-cutout: var(--background-400);
  --deposit-promo-bg: var(--background-500);
  --selected-deposit-promo: var(--primary-500);

  --bonus-popover-content: var(--background-500);
  --bonus-popover-card: var(--background-600);
  --bonus-popover-nominal: linear-gradient(
    rgba(255, 252, 243, 1),
    rgba(239, 210, 154, 1),
    rgba(250, 226, 199, 1),
    rgba(222, 171, 122, 1)
  );

  --tab-list: rgba(var(--hex-natural-white), 0.05);

  --download-apk-background:
    radial-gradient(69.79% 113.82% at 92.84% 86.18%, rgb(184, 37, 37, 0.5) 0%, rgba(0, 0, 0, 0.00) 100%),
    linear-gradient(93deg, rgb(240, 21, 21, 0.5) -4.35%, rgb(69, 26, 26, 0.5) 17.62%, rgb(28, 25, 25, 0.5) 35.28%, rgb(20, 18, 18, 0.5) 68.96%, rgb(179, 23, 23, 0.5) 100%);
  --download-apk-shadow:
    inset 1px 0px 1px rgba(222, 92, 92, 1),
    inset -1px 0 1px rgba(41, 41, 41, 1),
    inset 0px 1px 0px rgba(55, 55, 55, 1),
    inset 0px -1px 0px rgba(198, 83, 83, 1),
    0px 4px 8px 0px rgba(0,0,0,.65);

  --deposit-button-main-color: #fff;
  --deposit-button-main-box-shadow:
    0 -1px 2px 0 rgba(255, 219, 222, 0.75) inset,
    0 0 4px 0 rgba(255, 102, 112, 0.75) inset;
  --deposit-button-main-background:
    radial-gradient(
      63.39% 25.17% at 50% 78.04%,
      #fe4d59 0%,
      rgba(254, 118, 127, 0) 100%
    ),
    linear-gradient(180deg, #c01b26 23.17%, #fd4f5a 99.64%);
  --deposit-button-main-background-hover:
    linear-gradient(
      0deg,
      rgba(255, 255, 255, 0.1) 0%,
      rgba(255, 255, 255, 0.1) 100%
    ),
    radial-gradient(
      63.39% 25.17% at 50% 78.04%,
      #fe4d59 0%,
      rgba(254, 118, 127, 0) 100%
    ),
    linear-gradient(180deg, #c01b26 23.17%, #fd4f5a 99.64%);
  --deposit-button-plus-color: #fff;
  --deposit-button-plus-filter-id: url(#filter0_d_29539_357462);
  --deposit-button-bottom-background: linear-gradient(
    90deg,
    #bc3942 0%,
    #c6565d 19.97%,
    #b21822 34.93%,
    #b21822 65.4%,
    #c6565d 78.59%,
    #bc3942 100%
  );
  --deposit-button-bottom-box-shadow: 0 2px 8px 0 #67272b;
  --deposit-button-bottom-box-shadow-hover: 0 -1px 10px 2px
    rgba(232, 142, 148, 0.24);
  --deposit-button-bottom-box-shadow-active: 0 -3px 0 3px rgba(255, 49, 63, 0.3);

  --market-result: var(--background-500);

  --banner-button: radial-gradient(10926.6% 97.36% at 0% 78.12%, #0A29AA 0%, transparent 100%);
  --banner-border-stop: #2B439E;
}

body {
  background-color: var(--background-400);
}

.wrapper-label-input {
  display: flex;
  flex-direction: column;
  row-gap: var(--spacing-sm);

  label {
    color: var(--muted-foreground);
  }
}

.radio-indicator {
  width: 10px;
  height: 10px;
  border-radius: 100%;
  border: 1px solid var(--background-600);
  background: var(--color-natural-white);
}

.collapsible-content-wrapper {
  position: relative;
}

.footer-seo-gradient::before {
  content: '';
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 100px;
  background: var(--footer-gradient);
  z-index: 1;
  pointer-events: none;
}

.calendar-dropdown option {
  background-color: var(--background-600);
}

.popover-apk-link-alternatif-border {
  padding: 1px;
  border-radius: 10px;
  box-shadow: var(--popover-apk-link-alternatif-shadow);
  background: var(--popover-apk-link-alternatif-border);
}

.popover-apk-link-alternatif {
  border-radius: 10px;
  background: var(--popover-apk-link-alternatif);
}

.footer-gradient-container {
  box-shadow: 0 -4px 8px 0 rgba(var(--hex-natural-black), 0.12);
  background: linear-gradient(
    180deg,
    var(--hex-footer-gradient-container-light) 0%,
    var(--hex-footer-gradient-container-dark) 100%
  );
}

.wrapper-marquee.align-right-rounded-full::before {
  content: '';
  position: absolute;
  left: 1px;
  top: 0;
  bottom: 0;
  z-index: 11;
  margin-top: auto;
  margin-bottom: auto;
  width: 40%;
  height: 30px;
  border-top-left-radius: 9999px;
  border-bottom-left-radius: 9999px;
  background: radial-gradient(97.36% 10926.6% at 0 78.12%, #375477 0, rgba(22, 22, 61, 0) 100%);
}
